Xerces-C++: DOMErrorHandler Class Reference

Xerces-C++ 3.2.3

List of all members
DOMErrorHandler Class Referenceabstract

Basic interface for DOM error handlers. More...

## Public Member Functions
Destructor
virtual | ~DOMErrorHandler ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual bool | handleError (const DOMError &domError)=0
| This method is called on the error handler when an error occurs. More...

## Protected Member Functions
Hidden constructors
| DOMErrorHandler ()

## Detailed Description

Basic interface for DOM error handlers.

DOMErrorHandler is a callback interface that the DOM implementation can call when reporting errors that happens while processing XML data, or when doing some other processing (e.g. validating a document).

The application that is using the DOM implementation is expected to implement this interface.

See also
  DOMLSParser::getDomConfig

Since
  DOM Level 3

## Constructor & Destructor Documentation

## ◆ DOMErrorHandler()

DOMErrorHandler::DOMErrorHandler | ( |  | ) |
| protected

## ◆ ~DOMErrorHandler()

virtual DOMErrorHandler::~DOMErrorHandler | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ handleError()

virtual bool DOMErrorHandler::handleError | ( | const DOMError & | domError | ) |
| pure virtual

This method is called on the error handler when an error occurs.

If an exception is thrown from this method, it is considered to be equivalent of returning `true`.

Parameters

  domError | The error object that describes the error, this object may be reused by the DOM implementation across multiple calls to the handleError method.

Returns
  If the handleError method returns `true` the DOM implementation should continue as if the error didn't happen when possible, if the method returns `false` then the DOM implementation should stop the current processing when possible.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMErrorHandler.hpp